<?php
  //default data
  
if ( !function_exists( 'texas_get_default_title_font' ) ){
  function texas_get_default_title_font($key)
  {  
  
	switch($key){  	  
	  	  	
	default:
	  $section_title_default_font     = array(
			  'font-family'    => 'Roboto',
			  'variant'        => '100',
			  'font-size'      => '36px',
			  'color'          => '#000000',
			  'text-transform' => 'Uppercase',
			  'text-align'     => 'center'
		  ); 
	}
	return $section_title_default_font;	
  
		 
  }
}

if ( !function_exists( 'texas_get_description_font' ) ){
  function texas_get_description_font($key)
  {  
  
	switch($key){
	  	
	default:
	  $section_description_default_font     = array(
			  'font-family'    => 'Roboto',
			  'variant'        => 'regular',
			  'font-size'      => '14px',
			  'color'          => '#999999',
			  'text-transform' => 'none',
			  'text-align'     => 'center'
		  );   
	}
	return $section_description_default_font;
		 
  }
}
	   
  


  //section public set
  
function texas_get_section_default()
{ 
  $imagepath =  get_template_directory_uri() . '/custom/images/';    
  return $sections_default = array(
  
	 	
   	'blog'		 => array(
		'title'		 => __( 'From The Blog', 'texas' ),
		'description'	=> __( 'This is the description of the Blog section', 'texas' ),
  		'menu'		 => 'blog-section',				
  		'color'		 => '#ffffff',
  		'img'	 => '',
  		'padding_top'	 => '60px',
  		'padding_bottom'	 => '70px',
		
  	), 
	
   	'tool'		 => array(
		'title'		 => '',
		'description'	=> '',
  		'menu'		 => 'tool',				
  		'color'		 => '##f7f7f7',
  		'img'	 => '',
  		'padding_top'	 => '60px',
  		'padding_bottom'	 => '60px',
		
  	),	
	 		
		
  );
}


function texas_section_content_default($key)
{  
  $imagepath =  get_template_directory_uri() . '/custom/images/'; 
  switch($key){
	
	case 'slider':	
		$default     = array(
			array(
				'slider_image' => esc_url($imagepath.'banner1.jpg'),
				'slider_title'  => esc_attr__( 'Wordpress Theme Texas', 'texas' ),
				'slider_desc'  => esc_attr__( 'Write a description here about this slider!', 'texas' ),			
				'slider_button_text'  => esc_attr__( 'Check it out', 'texas' ),			
				'slider_url'  => esc_url( '#', 'texas' ),
			),
			
			array(
				'slider_image' => esc_url($imagepath.'banner2.jpg'),
				'slider_title'  => esc_attr__( 'Silder Title', 'texas' ),
				'slider_desc'  => esc_attr__( 'Write a description here about this slider!', 'texas' ),			
				'slider_button_text'  => esc_attr__( 'Downlaod Now', 'texas' ),			
				'slider_url'  => esc_url( '#', 'texas' ),
			),		
			
			array(
				'slider_image' => esc_url($imagepath.'banner3.jpg'),
				'slider_title'  => esc_attr__( 'Another title', 'texas' ),
				'slider_desc'  => esc_attr__( 'Write a description here about this slider!', 'texas' ),			
				'slider_button_text'  => esc_attr__( 'Check it out', 'texas' ),			
				'slider_url'  => esc_url( '#', 'texas' ),
			),
		);
 	  break;		
			
	
	case 'tool':	
		$default     = array(
			array(
				'tool_2_icon' => 'fa-home',
				'tool_2_text' => esc_attr__( 'Your detailed address, US', 'texas' ),//====pro====													
			),
	
			array(
				'tool_2_icon' => 'fa-phone',
				'tool_2_text' => esc_attr__( '+1 123 456 789', 'texas' ),												
			),
	
			array(
				'tool_2_icon' => 'fa-envelope-o',
				'tool_2_text' => 'youemail@example.com',	//====pro====											
			),
	
	
			array(
				'tool_2_icon' => 'fa-internet-explorer',
				'tool_2_text' => esc_url('https://www.example.com'),	//====pro====												
			),
	
		);
 	  break;	
	default:
	  $default     = array();	
	  	  

  }
  return $default;
}


?>